Bug 134575 - anaconda fails on system with lots of disks
Summary: anaconda fails on system with lots of disks
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-04 18:17 UTC by Jesse Barnes
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-14 17:30:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesse Barnes 2004-10-04 18:17:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
In trying to install on a system with 130 disks, I get this backtrace:
Starting graphical installation...
Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1062, in ?
    iutil.makeDriveDeviceNodes()
  File "/usr/lib/anaconda/iutil.py", line 457, in makeDriveDeviceNodes
    isys.makeDevInode(drive, "/dev/%s" % (drive,))
  File "/usr/lib/anaconda/isys.py", line 393, in makeDevInode
    _isys.mkdevinode(name, fn)
SystemError: (2, 'No such file or directory')
install exited abnormally


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
    

Additional info:

Comment 1 Jeremy Katz 2004-10-04 18:38:33 UTC
Added a fix in CVS.

Comment 2 Jesse Barnes 2004-10-07 15:54:11 UTC
Works now. 


Note You need to log in before you can comment on or make changes to this bug.